create TABLE MODULE_DESCRIPTION_LU (
     ID				integer PRIMARY KEY,
     DESCRIPTION       		varchar2(250),
     ACTIVE			char(1),
     CREATE_ID        		varchar2(50) NOT NULL,
     CREATE_DT         		date NOT NULL,
     UPDATE_ID        		varchar2(50) NOT NULL,
     UPDATE_DT         		date NOT NULL    
);

create TABLE VERSION_LU (
     ID				integer PRIMARY KEY,
     DESCRIPTION       		varchar2(250),
     ACTIVE			char(1),
     CREATE_ID        		varchar2(50) NOT NULL,
     CREATE_DT         		date NOT NULL,
     UPDATE_ID        		varchar2(50) NOT NULL,
     UPDATE_DT         		date NOT NULL    
);

create TABLE PRIVILAGE_LU (
     ID				integer PRIMARY KEY,
     DESCRIPTION       		varchar2(250),     
     ACTIVE			char(1),
     CREATE_ID        		varchar2(50) NOT NULL,
     CREATE_DT         		date NOT NULL,
     UPDATE_ID        		varchar2(50) NOT NULL,
     UPDATE_DT         		date NOT NULL    
);

create TABLE PRIORITY_LU (
     ID				integer PRIMARY KEY,
     DESCRIPTION       		varchar2(250),     
     ACTIVE			char(1),
     CREATE_ID        		varchar2(50) NOT NULL,
     CREATE_DT         		date NOT NULL,
     UPDATE_ID        		varchar2(50) NOT NULL,
     UPDATE_DT         		date NOT NULL    
);

create TABLE STATUS_LU (
     ID				integer PRIMARY KEY,
     DESCRIPTION       		varchar2(250),     
     ACTIVE			char(1),
     STATUS_DT_FLAG 		char(1),
     CREATE_ID        		varchar2(50) NOT NULL,
     CREATE_DT         		date NOT NULL,
     UPDATE_ID        		varchar2(50) NOT NULL,
     UPDATE_DT         		date NOT NULL    
);

create TABLE USERS (
     ID				integer PRIMARY KEY,
     USER_NAME       		varchar2(50),
     PASSWORD		       	varchar2(50),
     EMAIL		       	varchar2(100),
     FIRST_NAME 		varchar2(100),
     LAST_NAME 			varchar2(100),
     PHONE_NUMBER 		varchar2(15),
     ACTIVE			char(1),
     PRIVILAGE_ID       	integer NOT NULL REFERENCES PRIVILAGE_LU (ID),     
     CREATE_ID        		varchar2(50) NOT NULL,
     CREATE_DT         		date NOT NULL,
     UPDATE_ID        		varchar2(50) NOT NULL,
     UPDATE_DT         		date NOT NULL    
);

create TABLE ISSUES (
     ID				integer PRIMARY KEY ,
     SUBJECT       		varchar2(1000),     
     USER_ID       		integer NOT NULL REFERENCES USERS (ID),
     DUE_DT			date,
     ASSIGNED_ID		integer,
     RECORD_CREATE_DT  		date,
     RECORD_UPDATE_DT  		date,
     DELETE_IND			char(1),
     CREATE_ID        		varchar2(50) NOT NULL,
     CREATE_DT         		date NOT NULL,
     UPDATE_ID        		varchar2(50) NOT NULL,
     UPDATE_DT         		date NOT NULL    
);

create TABLE ISSUE_HISTORY (
     ID				integer NOT NULL,
     RECORD_COUNT      		integer NOT NULL,
     ORI_ISSUE_ID	       	integer NOT NULL REFERENCES ISSUES (ID),
     USER_ID       		integer NOT NULL REFERENCES USERS (ID),
     STATUS_ID		       	integer NOT NULL REFERENCES STATUS_LU (ID),
     CURRENT_STATUS_ID		integer NOT NULL REFERENCES STATUS_LU (ID),
     DESCRIPTION		clob,     
     PRIORITY_ID		integer,
     MODULE_ID       		integer,
     VERSION_ID       		integer,
     ISSUE_TYPE_ID		integer,
     COMPLEXITY_ID		integer,     
     RECORD_CREATE_DT  		date,
     RECORD_UPDATE_DT  		date,
     DELETE_IND			char(1),     
     HIST_IND			char(1) NOT NULL,
     CREATE_ID        		varchar2(50) NOT NULL,
     CREATE_DT         		date NOT NULL,
     UPDATE_ID        		varchar2(50) NOT NULL,
     UPDATE_DT         		date NOT NULL,  
     PRIMARY KEY (ID, RECORD_COUNT)
);

create TABLE ATTACHMENT (
     ID				integer PRIMARY KEY,
     ISSUE_ID       		integer,
     ATTACHMENT_NAME       	varchar2(1000),
     ATTACHMENT       		blob,
     CREATE_ID        		varchar2(50) NOT NULL,
     CREATE_DT         		date NOT NULL,
     UPDATE_ID        		varchar2(50) NOT NULL,
     UPDATE_DT         		date NOT NULL 	    
);

create TABLE ASSIGN (
     ID				integer PRIMARY KEY,
     USER_ID       		integer NOT NULL REFERENCES USERS (ID),
     ORI_ISSUE_ID         	integer NOT NULL REFERENCES ISSUES (ID),
     HISTORY_ISSUE_ID   	integer NOT NULL,
     HISTORY_RECORD_COUNT	integer NOT NULL,
     CREATE_ID        		varchar2(50) NOT NULL,
     CREATE_DT         		date NOT NULL,
     UPDATE_ID        		varchar2(50) NOT NULL,
     UPDATE_DT         		date NOT NULL    
);

create TABLE VALID_STATUS (
     ID				integer PRIMARY KEY,
     STATUS_ID       		integer NOT NULL REFERENCES STATUS_LU (ID),
     VALID_STATUS_ID		integer,
     CREATE_ID        		varchar2(50) NOT NULL,
     CREATE_DT         		date NOT NULL,
     UPDATE_ID        		varchar2(50) NOT NULL,
     UPDATE_DT         		date NOT NULL    
);

create TABLE CLOSING_REASON_LU (
     ID				integer PRIMARY KEY,
     DESCRIPTION       		varchar2(250),
     ACTIVE			char(1),
     CREATE_ID        		varchar2(50) NOT NULL,
     CREATE_DT         		date NOT NULL,
     UPDATE_ID        		varchar2(50) NOT NULL,
     UPDATE_DT         		date NOT NULL    
);

create TABLE ISSUE_CLOSED_REF	(
     ID				integer PRIMARY KEY,
     ORI_ISSUE_ID         	integer NOT NULL REFERENCES ISSUES (ID),
     ISSUE_HISTORY_ID       	integer NOT NULL,
     HISTORY_RECORD_COUNT	integer NOT NULL,
     CLOSING_REASON_ID		integer NOT NULL REFERENCES CLOSING_REASON_LU (ID),
     CREATE_ID        		varchar2(50) NOT NULL,
     CREATE_DT         		date NOT NULL,
     UPDATE_ID        		varchar2(50) NOT NULL,
     UPDATE_DT         		date NOT NULL    
);

create TABLE ISSUE_TYPE_LU (
     ID				integer PRIMARY KEY,
     DESCRIPTION       		varchar2(250),     
     ACTIVE			char(1),
     CREATE_ID        		varchar2(50) NOT NULL,
     CREATE_DT         		date NOT NULL,
     UPDATE_ID        		varchar2(50) NOT NULL,
     UPDATE_DT         		date NOT NULL    
);

create TABLE COMPLEXITY_LU (
     ID				integer PRIMARY KEY,
     DESCRIPTION       		varchar2(250),     
     ACTIVE			char(1),
     CREATE_ID        		varchar2(50) NOT NULL,
     CREATE_DT         		date NOT NULL,
     UPDATE_ID        		varchar2(50) NOT NULL,
     UPDATE_DT         		date NOT NULL    
);

create TABLE PREFERENCE (
     ID				integer PRIMARY KEY,
     USER_ID       		integer NOT NULL REFERENCES USERS (ID),     
     USER_EMAIL_FLAG		char(1),
     NUMBER_OF_RECORDS		integer,     
     CREATE_ID        		varchar2(50) NOT NULL,
     CREATE_DT         		date NOT NULL,
     UPDATE_ID        		varchar2(50) NOT NULL,
     UPDATE_DT         		date NOT NULL    
);

create TABLE SEARCH (
     ID				integer PRIMARY KEY,
     DESCRIPTION       		varchar2(250),     
     ACCESS_TYPE		char(1),
     QUERY			varchar2(4000),
     USER_ID       		integer NOT NULL REFERENCES USERS (ID),
     CRITERIA			varchar2(4000),
     CREATE_ID        		varchar2(50) NOT NULL,
     CREATE_DT         		date NOT NULL,
     UPDATE_ID        		varchar2(50) NOT NULL,
     UPDATE_DT         		date NOT NULL    
);

create TABLE REPORT (
     ID				integer PRIMARY KEY,
     REPORT_SUMMARY_TYPE       	varchar2(250),     
     REPORT_SUMMARY_VALUE       varchar2(1000),     
     CRITERIA			varchar2(4000),
     QUERY			varchar2(4000),     
     REPORT_NAME       		varchar2(250),          
     CREATE_ID        		varchar2(50) NOT NULL,
     CREATE_DT         		date NOT NULL,
     UPDATE_ID        		varchar2(50) NOT NULL,
     UPDATE_DT         		date NOT NULL    
);

create TABLE REPORT_FIELDS_LU (
     ID				integer PRIMARY KEY,     
     DESCRIPTION		varchar2(100),     
     FIELD_WIDTH		integer,     
     COLUMN_NAME		varchar2(100),
     DATE_FIELD			char(1),
     ACTIVE			char(1),
     CREATE_ID        		varchar2(50) NOT NULL,
     CREATE_DT         		date NOT NULL,
     UPDATE_ID        		varchar2(50) NOT NULL,
     UPDATE_DT         		date NOT NULL    
);

create TABLE REPORT_FIELDS (
     ID				integer PRIMARY KEY,
     REPORT_ID       		integer NOT NULL REFERENCES REPORT (ID),          
     REPORT_FIELDS_LU_ID       	integer NOT NULL REFERENCES REPORT_FIELDS_LU (ID),          
     CREATE_ID        		varchar2(50) NOT NULL,
     CREATE_DT         		date NOT NULL,
     UPDATE_ID        		varchar2(50) NOT NULL,
     UPDATE_DT         		date NOT NULL    
);

create TABLE REPORT_SUMMARY_LU (
     ID				integer PRIMARY KEY,     
     DESCRIPTION		varchar2(100),     
     ACTIVE			char(1),
     CREATE_ID        		varchar2(50) NOT NULL,
     CREATE_DT         		date NOT NULL,
     UPDATE_ID        		varchar2(50) NOT NULL,
     UPDATE_DT         		date NOT NULL    
);

create TABLE PROPERTIES (
     ID				integer PRIMARY KEY,
     DESCRIPTION       		varchar2(250),     
     NAME       		varchar2(250),     
     VALUE       		varchar2(250),     
     ACTIVE			char(1),
     CREATE_ID        		varchar2(50) NOT NULL,
     CREATE_DT         		date NOT NULL,
     UPDATE_ID        		varchar2(50) NOT NULL,
     UPDATE_DT         		date NOT NULL    
);

create TABLE TRACKING (
     ID				integer PRIMARY KEY ,
     ISSUE_ID			integer not null REFERENCES ISSUES (ID),
     USER_ID			integer not null REFERENCES USERS (ID)
);

create TABLE ISSUE_LINK (
     ID				integer PRIMARY KEY ,
     ISSUE_ID			integer not null REFERENCES ISSUES (ID),
     LINKED_ISSUE_ID		integer not null REFERENCES ISSUES (ID)
);

create TABLE RELEASE_DETAIL (
     ID				integer PRIMARY KEY ,
     ISSUE_ID			integer not null REFERENCES ISSUES (ID),
     RELEASE_DATE		date,
     RELEASE_VERSION		varchar2(100)
);

create TABLE LOCK_DETAIL (
     ID				integer PRIMARY KEY ,
     LOCK_ID			integer,
     LOCK_NAME			varchar2(50),
     USER_ID			integer
);

create TABLE CUSTOM_FIELDS (
     ID				integer PRIMARY KEY,
     CUSTOM_FIELD_ID		varchar2(100),
     FIELD_DISPLAY_NAME 	varchar2(250),
     ACTIVE			varchar2(1),
     FIELD_SIZE			integer,
     TYPE			varchar2(1),
     OPTIONS			varchar2(1000),
     CREATE_ID        		varchar(50) NOT NULL,
     CREATE_DT         		date NOT NULL,
     UPDATE_ID        		varchar(50) NOT NULL,
     UPDATE_DT         		date NOT NULL    
);

create TABLE CUSTOM_ISSUE (
     ID				integer PRIMARY KEY,
     ISSUE_ID			integer NOT NULL REFERENCES ISSUES (ID),
     CUSTOM_FIELDS_ID		integer NOT NULL REFERENCES CUSTOM_FIELDS (ID),
     VALUE			varchar2(4000)
);

create sequence ASSIGN_SEQ;
create sequence ATTACHMENT_SEQ;
create sequence CLOSING_REASON_LU_SEQ minvalue 4;
create sequence COMPLEXITY_LU_SEQ;
create sequence ISSUES_SEQ;
create sequence ISSUE_CLOSED_REF_SEQ;
create sequence ISSUE_HISTORY_SEQ;
create sequence ISSUE_TYPE_LU_SEQ;
create sequence ISSUE_LINK_SEQ;
create sequence LOCK_DETAIL_SEQ;
create sequence MODULE_DESCRIPTION_LU_SEQ;
create sequence PREFERENCE_SEQ  minvalue 2;
create sequence PRIORITY_LU_SEQ;
create sequence PRIVILAGE_LU_SEQ minvalue 5;
create sequence RELEASE_DETAIL_SEQ;
create sequence REPORT_FIELDS_LU_SEQ minvalue 42;
create sequence REPORT_FIELDS_SEQ;
create sequence REPORT_SUMMARY_LU_SEQ minvalue 9;
create sequence REPORT_SEQ;
create sequence SEARCH_SEQ;
create sequence STATUS_LU_SEQ minvalue 5;
create sequence TRACKING_SEQ;
create sequence USERS_SEQ minvalue 2;
create sequence VALID_STATUS_SEQ;
create sequence VERSION_LU_SEQ;
create sequence CUSTOM_FIELDS_SEQ;
create sequence CUSTOM_ISSUE_SEQ;